<?php

namespace Sibs\Stargate\Constants;

defined('ABSPATH') || exit;

class Tokens implements ConstantsInterface
{
    public const NONE = 'none';
    public const TOKENIZATION = 'tokenization';
    public const ONECLICK = 'oneclick';

    /**
     * All.
     */
    public static function all(): array
    {
        return [
            self::NONE,
            self::TOKENIZATION,
            self::ONECLICK,
        ];
    }

    /**
     * Default.
     */
    public static function default(): mixed
    {
        return self::NONE;
    }
}
